Groovy 1.7.0

## org.codehaus.groovy.runtime.metaclass
Class ClosureMetaClass.NormalMethodChooser

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.ClosureMetaClass.NormalMethodChooser

All Implemented Interfaces:
  MethodChooser

    class ClosureMetaClass.NormalMethodChooser

Field Summary
`Class` | `theClass`

Constructor Summary
`ClosureMetaClass.NormalMethodChooser(Class theClass, FastArray methods)`

Method Summary
`Object` | `chooseMethod(Class[] arguments, boolean coerce)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### theClass

    final Class theClass

Constructor Detail

### ClosureMetaClass.NormalMethodChooser

    public ClosureMetaClass.NormalMethodChooser(Class theClass, FastArray methods)

Method Detail

### chooseMethod

    public Object chooseMethod(Class[] arguments, boolean coerce)

Copyright © 2003-2009 The Codehaus. All rights reserved.